Loading...
Searching...
No Matches
QuadOutline Class Reference

The QuadOutline class is a convenience class for creating a quadrilateral outline as a LineStripGeometry. More...

`#include <quadoutline.h>`

Inheritance diagram for QuadOutline:

## Public Member Functions

void | setQuad (const Vector3f &topLeft, const Vector3f &topRight, const Vector3f &bottomLeft, const Vector3f &bottomRight, float lineWidth)
| setQuad Set the four corners of the quad.
Public Member Functions inherited from LineStripGeometry
| LineStripGeometry (const LineStripGeometry &other)
LineStripGeometry & | operator= (LineStripGeometry)
void | accept (Visitor &) override
void | render (const Camera &camera) override
| Render the line strips.
void | clear () override
Core::Array< PackedVertex > | vertices () const
size_t | addLineStrip (const Core::Array< Vector3f > &vertices, const Core::Array< Vector4ub > &color, float lineWidth)
size_t | addLineStrip (const Core::Array< Vector3f > &vertices, const Core::Array< Vector3ub > &color, float lineWidth)
size_t | addLineStrip (const Core::Array< Vector3f > &vertices, const Vector3ub &color, float lineWidth)
size_t | addLineStrip (const Core::Array< Vector3f > &vertices, float lineWidth)
void | setColor (const Vector3ub &c)
Vector3ub | color () const
void | setOpacity (unsigned char opacity_)
unsigned char | opacity () const
Public Member Functions inherited from Drawable
| Drawable (const Drawable &other)
Drawable & | operator= (Drawable)
const GeometryNode * | parent () const
| Get a pointer to the drawable object's parent.
GeometryNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the drawable object.
bool | isVisible () const
| Get the current visibility of the drawable.
Identifier & | identifier ()
const Identifier & | identifier () const
virtual std::multimap< float, Identifier > | hits (const Vector3f &rayOrigin, const Vector3f &rayEnd, const Vector3f &rayDirection) const
virtual Core::Array< Identifier > | areaHits (const Frustrum &f) const
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const

## Additional Inherited Members

Static Public Attributes inherited from LineStripGeometry
static const size_t | InvalidIndex
Protected Member Functions inherited from Drawable
void | setParent (GeometryNode *parent)
| Set the parent node for the node.
Protected Attributes inherited from Drawable
GeometryNode * | m_parent
bool | m_visible
RenderPass | m_renderPass
Identifier | m_identifier

## Detailed Description

<avogadro/rendering/quadoutline.h>

The documentation for this class was generated from the following file:

- quadoutline.h